Author: jfrederic.clere(a)jboss.com
Date: 2013-01-24 04:20:21 -0500 (Thu, 24 Jan 2013)
New Revision: 3055
Modified:
trunk/build/daemon/buildnat.bat
trunk/build/unix/build.sh
trunk/build/windows/buildnew.bat
Log:
Arrange logic of i64 windows binaries.
Modified: trunk/build/daemon/buildnat.bat
===================================================================
--- trunk/build/daemon/buildnat.bat 2013-01-23 13:20:43 UTC (rev 3054)
+++ trunk/build/daemon/buildnat.bat 2013-01-24 09:20:21 UTC (rev 3055)
@@ -49,7 +49,7 @@
REM static dll tcnative-1.dll
call buildnew.bat static x86 jboss-native -ssl -cache -static
call buildnew.bat static x64 jboss-native -ssl -cache -static
-REM call build.bat sdk static i64 jboss-native -ssl -cache -static
+call buildnew.bat static i64 jboss-native -ssl -cache -static
REM Uncomment for building sight
REM call build.bat sdk x86 jboss-sight -cache
REM call build.bat sdk x64 jboss-sight -cache
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-23 13:20:43 UTC (rev 3054)
+++ trunk/build/unix/build.sh 2013-01-24 09:20:21 UTC (rev 3055)
@@ -750,9 +750,12 @@
#mv $$.mak ms/ntdll.mak
;;
windows-i64)
- ./Configure ${ssl_target} VC-WIN64I
+ echo "Doing: perl Configure ${ssl_target} ${ssl_common_flags}
VC-WIN64I"
+ rm -rf engines
+ cygspawn perl Configure ${ssl_target} ${ssl_common_flags} VC-WIN64I
ms/do_win64i.bat
- nmake -f ms/nt.mak
+ nmake -f ms/ntdll.mak install PERL=sperl || exit 1
+ #nmake -f ms/nt.mak
#sed "s:=ml :=ias :" ms/nt.mak > $$.mak
#mv $$.mak ms/nt.mak
#sed "s:=ml :=ias :" ms/ntdll.mak > $$.mak
Modified: trunk/build/windows/buildnew.bat
===================================================================
--- trunk/build/windows/buildnew.bat 2013-01-23 13:20:43 UTC (rev 3054)
+++ trunk/build/windows/buildnew.bat 2013-01-24 09:20:21 UTC (rev 3055)
@@ -93,6 +93,7 @@
@if /i "%BUILD_CPU%" == "emt64" goto cpuX64
@if /i "%BUILD_CPU%" == "x86_64" goto cpuX64
@if /i "%BUILD_CPU%" == "x64" goto cpuX64
+@if /i "%BUILD_CPU%" == "i64" goto cpuI64
echo Usage: %PROGNAME% CPU where CPU is x86 x64 or ia64
echo or : %PROGNAME% sdk CPU if you are cross compiling
goto cmdEnd
@@ -111,6 +112,13 @@
echo call "c:\cmsc\setenv.bat" /x64 >> %ENV_BAT%
goto cmdBuild
+:cpuI64
+set BUILD_CPU=i64
+echo set BUILD_CPU=i64 >> %ENV_BAT%
+call "c:\cmsc\setenv.bat" /i64
+echo call "c:\cmsc\setenv.bat" /i64 >> %ENV_BAT%
+goto cmdBuild
+
:cmdBuild
set INIT=%LOCAL_DIR%